routes/admin.php
<?php

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register admin routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\ProductController;
use App\Http\Resources\OrderCollection;
use Illuminate\Support\Facades\Route;
Auth::routes(['verify' => true]);
Route::post('/aiz-uploader', 'AizUploadController@show_uploader');
Route::post('/aiz-uploader/upload', 'AizUploadController@upload');
Route::get('/aiz-uploader/get_uploaded_files', 'AizUploadController@get_uploaded_files');
Route::post('/aiz-uploader/get_file_by_ids', 'AizUploadController@get_preview_files');
Route::get('/aiz-uploader/download/{id}', 'AizUploadController@attachment_download')->name('download_attachment');
Route::post('/aiz-uploader/uploadSummernote', 'AizUploadController@uploadSummernote');

Route::get('/admin/dashboard', 'HomeController@admin_dashboard')->name('admin.dashboard')->middleware(['auth', 'admin','permission']);
Route::group(['prefix' => 'admin', 'middleware' => ['auth', 'admin','preventBackHistory']], function () {
    //Update Routes
    Route::resource('categories', 'CategoryController')->middleware('permission');
    Route::resource('categories', 'CategoryController')->middleware('permission');
    Route::get('/categories/edit/{id}', 'CategoryController@edit')->name('categories.edit')->middleware('permission');
    Route::post('/categories/editpri/{id}', 'CategoryController@updatePrimary')->name('categories.editpri')->middleware('permission');
    Route::post('/categories/editchild/{id}', 'CategoryController@updateChild')->name('categories.editchild')->middleware('permission');
    Route::get('/categories/destroy/{id}', 'CategoryController@destroy')->name('categories.destroy')->middleware('permission');
    Route::get('/categories/deletechild/{id}', 'CategoryController@deletechild')->name('categories.deletechild')->middleware('permission');
    Route::post('/categories/status/{id}', 'CategoryController@updateStatus')->name('categories.status')->middleware('permission');;
    Route::post('/categories/create', 'CategoryController@CreatePrimaryCategory')->name('categories.createprimary')->middleware('permission');
    Route::post('/categories/createchild', 'CategoryController@CreateChildCategory')->name('categories.createchild')->middleware('permission');
    Route::get('/categories/view/{id}', 'CategoryController@view')->name('categories.view')->middleware('permission');
    Route::get('/category/view/{id}/primary', 'CategoryController@getCategory')->name('categories.view.primary');
    Route::post('/category/check-validate', 'CategoryController@checkValidate')->name('categories.check-validate');

	//Route Products
	Route::prefix('products')->middleware('permission')->name('products.')->group(function(){
		Route::get('/', 'ProductController@admin_products')->name('index');
		Route::get('/{id}/detail', 'ProductController@detail')->name('detail');
		// Route::get('/12', 'UserController@index')->name('create');
		Route::get('/122', 'UserController@index')->name('todays_deal');
		Route::get('/1223', 'UserController@index')->name('published');
		Route::get('/12223', 'UserController@index')->name('featured');
		Route::get('/export', 'ProductController@export')->name('export');
		Route::delete('/products-delete/{id}', 'ProductController@delete')->name('delete');
		Route::post('/{id}/update', 'ProductController@update')->name('update');
		Route::post('/update-infor/{id}','ProductController@updateInfor')->name('updateInfor');
		Route::get('/status/{id}', 'ProductController@changeStatus')->name('status');
		Route::get('/status2/{id}', 'ProductController@changeStatus2')->name('status2');
		Route::post('/toggle-status/{id}','ProductController@toggleStatus')->name('toggle-status');
		Route::post('/update-skus/{id}','ProductController@updateSkus')->name('updateSkus');
		Route::post('/update-desc{id}','ProductController@updateDesc')->name('updateDesc');
		Route::post('validate-sku', 'ProductController@validateSku')->name('validateSku');
		Route::post('store','ProductController@store')->name('store');
		Route::get('create','ProductController@create')->name('create');
		Route::post('validate-detail-product','ProductController@validateDetailProduct')->name('validateDetailProduct');
		Route::post('validate-description','ProductController@validateDescription')->name('validateDescription');
		Route::delete('/delete-title/{id}', 'ProductController@deleteTitle')->name('deleteTitle');
		Route::post('update-image/{id}','ProductController@updateImageProduct')->name('updateImageProduct');
		Route::post('validated','ProductController@validatedProduct')->name('validatedProduct');

	});

	//Route User
	Route::get('users/{id}/detail', 'UserController@detail')->name('users.detail')->middleware('permission');
  	Route::get('users/export', 'UserController@export')->name('users.export')->middleware('permission');
	// Route::get('users/detail', 'UserController@detail')->name('users.detail');
	Route::get('users/export', 'UserController@export')->name('users.export')->middleware('permission');
	Route::resource('users', 'UserController')->middleware('permission');
	Route::get('users/ban/{customer}', 'UserController@ban')->name('users.ban')->middleware('permission');
	Route::delete('/users/destroy/{id}', 'UserController@destroy')->name('users.destroy')->middleware('permission');
	Route::get('/transactions', 'UserController@transactions')->name('users.transactions')->middleware('permission');
	Route::post('users/update-status/{id}', 'UserController@changeStatus')->name('users.updatestatus')->middleware('permission');
	Route::post('users/update-status-block/{id}', 'UserController@changeStatus2')->name('users.updatestatusblock')->middleware('permission');
	Route::post('users/update-information/{id}', 'UserController@update')->name('users.update')->middleware('permission');
	Route::post('users/update-business/{id}', 'UserController@updateimg')->name('users.updateimg')->middleware('permission');
	Route::delete('/users/{id}/detail', 'UserController@deleteImg')->name('users.deleteImg')->middleware('permission');



	//Route Order
	// Route::get('orders2', 'OrderController@index2') -> name ('orders2.index');
	Route::prefix('orders')->middleware('permission')->name('orders.')->group(function(){
		Route::get('/detail/{id}', 'OrderController@detail')->name('detail');
		Route::get('/', 'OrderController@index')->name('index');
		Route::get('/create', 'OrderController@create')->name('create');
		Route::get('/export', 'OrderController@export')->name('export');
		Route::delete('/delete-order/{id}', 'OrderController@deleteOrder')->name('deleteOrder');
		Route::post('/change-status-order/{id}','OrderController@changeStatusOrder')->name('changeStatusOrder');
		Route::post('/update-delivery/{id}','OrderController@updateDelivery')->name('updateDelivery');
		Route::post('store', 'OrderController@store')->name('store');
		Route::post('update-nfor/{id}', 'OrderController@updateInfor')->name('updateInfor');
		Route::post('update-delivery-method/{id}', 'OrderController@updateDeliveryMethod')->name('updateDeliveryMethod');
		Route::post('update-reason-cancel/{id}', 'OrderController@updateReasonCancel')->name('updateReasonCancel');
		Route::post('validate-order', 'OrderController@validateOrder')->name('validateOrder');
		Route::post('validate-delivery', 'OrderController@validateDelivery')->name('validateDelivery');
		Route::post('upload-imgsend','OrderController@uploadImgSend')->name('uploadImgSend');
		Route::post('/update-info-order/{id}','OrderController@updateInfoOrder')->name('updateInfoOrder');
        Route::post('refund','OrderController@refund')->name('refund');
		Route::post('/change-status-cancel/{id}','OrderController@changeStatusCancel')->name('changeStatusCancel');
		Route::post('/update-img-reason/{id}','OrderController@updateImgReason')->name('updateImgReason');
		Route::post('change-status-all-cancel/{id}','OrderController@changeStatusAllCancel')->name('changeStatusAllCancel');
		Route::post('validate-product','OrderCollection@validateProduct')->name('validateProduct');
		Route::post('/change-status-confirm-admin/{id}','OrderController@changestatusAdminConfirm')->name('changestatusAdminConfirm');
		Route::post('/change-status-unpaid/{id}','OrderController@changeStatusUnpaid')->name('changeStatusUnpaid');
		Route::post('validated','OrderController@validatedOrder')->name('validatedOrder');
	});




	//Route Banners
	Route::prefix('banners')->middleware('permission')->name('banners.')->group(function(){
		Route::get('/', 'BannerController@index')->name('index');
		Route::get('/{id}/detail', 'BannerController@detail')->name('detail');
		Route::get('/export', 'BannerController@export')->name('export');
		Route::delete('/delete-banners/{id}', 'BannerController@delete')->name('bannersDelete');
		Route::post('/status/{id}', 'BannerController@changeStatus')->name('status');
		Route::post('/update-info/{id}','BannerController@updateInfor')->name('updateInfor');
		Route::post('/update-collection/{id}','BannerController@updateCollection')->name('updateCollection');
		Route::get('/create','BannerController@create')->name('create');
		Route::post('/store','BannerController@store')->name('store');
		Route::post('check-store','BannerController@checkStore')->name('checkStore');
		Route::post('validate-banner-info','BannerController@validateBannerInfor')->name('validateBannerInfor');
		Route::post('validate-banner-collection','BannerController@validateBannerCollection')->name('validateBannerCollection');
		Route::post('change-status-1/{id}','BannerController@changeStatus1')->name('changeStatus1');
		Route::post('change-status-2/{id}','BannerController@changeStatus2')->name('changeStatus2');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\TermsController;
use Illuminate\Support\Facades\Route;

Route::get('', function () {
    return redirect()->route('admin.dashboard');
});

Route::get('webview/address', function () {
    return view('webview.address');
});
Route::get('/policy','PageController@policy')->name('policy.index');
Route::get('/terms','PageController@term')->name('terms.index');


Route::get('logs', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index');

resources/views/backend/orders/index.blade.php
@extends('backend.layouts.app')
@section('title')
@lang('orders.order')
@endsection
@section('css')
<link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
@endsection

@section('content')

<div class="aiz-titlebar text-left mt-2 mb-3">
	<div class="align-items-center">
        <h1 class="h3"><strong>@lang('orders.order')</strong></h1>
	</div>
</div>
<form class=""  action="" method="GET">
    <div class="row mb-2">
        <div class="col-md-12 d-flex res-FormControl">
            <img src="{{ static_asset('assets/img/icons/search.svg') }}" class="img-search3 mr-2" alt="Search">
            <input type="text" class="form-control res-placeholder" id="search3" name="search" value="{{request()->get('search')}}"  placeholder="@lang('orders.search_id')">
        </div>
        {{--<div class="col-md-3 text-md-right res-FormControl">
            <a href="{{ route('orders.create') }}" class="btn btn-circle btn-info btn-add-product d-flex">
                <!-- <img src="{{ static_asset('assets/img/icons/add.png') }}" class="img-search2 mr-2" alt="Search"> -->
                <i class="fas fa-plus-circle img-redo mr-2"></i>
                <span class="custom-FontSize">@lang('orders.add')</span>
            </a>
        </div>--}}
    </div>
    <div class="row gutters-5 mb-5">
        <div class="col-md-4">
            {{-- <input type="text" onfocus="(this.type='date')" class="form-control custom-placeholder" id="joined_date38" name="date" value="{{ request('date') }}" placeholder="@lang('products.add-date')"> --}}
            {{-- <input type="text" onfocus="(this.type='date')" class="form-control custom-placeholder" id="joined_date" name="created_at"  value="{{ request('joined_date') }}" placeholder="@lang('orders.od_date')"> --}}
            <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' autocomplete="off" class="form-control custom-placeholder res-FormControl"  name="created_at" id="clickDate" placeholder="@lang('orders.od_date')" value="{{ (request()->get('created_at')) }}">
            <div class="custom-down"><i class="fas fa-chevron-down"></i></div>
        </div>
        <div class="col-md-4 res-status">
            <select class="form-control form-control-sm aiz-selectpicker res-FormControl mb-md-0 font-weight-800" id="status" name="status">
                <option value="">@lang('orders.od_state')</option>
                <option value="1" @if (request('status') == (1)) selected @endif>@lang('orders.unpaid')</option>
                <option value="2" @if (request('status') == (2)) selected @endif>@lang('orders.processing')</option>
                <option value="3" @if (request('status') == (3)) selected @endif>@lang('orders.delivering')</option>
                <option value="4" @if (request('status') == (4)) selected @endif>@lang('orders.delivered')</option>
                <option value="5" @if (request('status') == (5)) selected @endif>@lang('orders.completed')</option>
                <option value="6" @if (request('status') == (6)) selected @endif>@lang('orders.cancel_order')</option>
                <option value="7" @if (request('status') == (7)) selected @endif>@lang('orders.delete-status')</option>
            </select>
        </div>
        <div class="col-md all-btn-search">
            <button type="submit" class="pl-0 pr-0 btn btn-info w-32 mr-2 d-flex  btn-responsive justify-content-center">
                <i class="fas fa-search img-redo mr-2"></i>
                <span class="custom-FontSize">@lang('orders.search')</span>
            </button>
            <a href="{{ route('orders.index') }}" class="pl-0 pr-0 w-32 btn btn-info ml-2 mr-2 d-flex btn-responsive justify-content-center">
                <i class="fas fa-redo-alt img-redo mr-2"></i>
                <span class="custom-FontSize">@lang('orders.reset')</span>
            </a>
            <?php
                $request = request()->all();
                $newRequest = http_build_query($request);
            ?>
            <a href="{{ route('orders.export') . '?' . $newRequest }}" class="pl-0 pr-0 btn btn-info w-34 ml-2 d-flex  btn-responsive justify-content-center">
                <i class="fas fa-cloud-download-alt img-redo mr-2"></i>
                <span class="custom-FontSize">@lang('orders.excel')</span>
            </a>
        </div>
    </div>

    <div class="card">
        <div class="card-body-table ">
            <table class="table aiz-table mb-0 table-hover">
                <thead>
                    <tr >
                        <th>@lang('orders.od_id')</th>
                        <th>@lang('orders.od_date')</th>
                        <th>@lang('orders.us_id')</th>
                        <th>@lang('orders.email')</th>
                        <th>@lang('orders.product')</th>
                        <th>@lang('orders.price')</th>
                        <th>@lang('orders.od_state')</th>
                        <th class="text-right">@lang('')</th>
                    </tr>
                </thead>
                <tbody> 
                @if(count($orders ?? []))
                @foreach($orders as $item)
                    <tr >
                        <th>#{{$item->id}}</th>
                        <td class="align-middle">{{$item->created_at->format('Y/m/d')}}</td>
                        <td class="align-middle">#{{$item->user_id}}</td>
                        <td class="align-middle">@if(!empty($item->email)) {{$item->email}} @else{{optional($item->user)->email}}@endif</td>
                        <td class="align-middle">{{optional($item->products)->count('id')}} @lang('orders.product')</td>
                        <td class="align-middle">{{format_price(optional($item->OrderProduct)->sum('subtotal'))}} @lang('orders.pri')</td>
                        <td class="align-middle">{{$item->checkStatus()}}</td>
                        <td>
                            <div class="dropdown">
                                <button class="btn btn-drop" type="button"  data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-ellipsis-h"></i>
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <a class="dropdown-item" href="{{route('orders.detail', ['id'=>$item->id])}}">@lang('orders.view')</a>
                                <!-- <a class="dropdown-item" href="#">@lang('orders.active')</a> -->
                                <a class="dropdown-item click-delete" data-id="{{$item->id}}" href="#">@lang('orders.del')</a>
                                </div>
                            </div>
                        </td>
                    </tr>
                @endforeach
                @endif
                </tbody>
            </table>
        </div>
    </div>
    <div class="aiz-pagination paginationOrder">
        {{ $orders->appends(request()->input())->links() }}
    </div> 
</form>


<div class="modal fade" id="confirm-ban">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title h6">{{translate('Confirmation')}}</h5>
                <button type="button" class="close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <p>{{translate('Do you really want to ban this Customer?')}}</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal">{{translate('Cancel')}}</button>
                <a type="button" id="confirmation" class="btn btn-primary">{{translate('Proceed!')}}</a>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirm-unban">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title h6">{{translate('Confirmation')}}</h5>
                <button type="button" class="close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <p>{{translate('Do you really want to unban this Customer?')}}</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light" data-dismiss="modal">{{translate('Cancel')}}</button>
                <a type="button" id="confirmationunban" class="btn btn-primary">{{translate('Proceed!')}}</a>
            </div>
        </div>
    </div>
</div>
@endsection

@section('modal')
    @include('modals.delete_modal')
@endsection

@section('script')
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>

    <script type="text/javascript">
      $('.custom-drop').click(function(){
        // alert();
        $(this).find('.custom-ul').toggle('d-none');
    })
    // doubole click
    // $('[data-redirect]').on('dblclick', function() {
    //     let url = $(this).attr('data-redirect');
    //     if (url && url.length) {
    //         location.href = url;
    //     }
    // });
    $(document).ready(function() {
    //$('#container').removeClass('mainnav-lg').addClass('mainnav-sm');
    });

    function sort_customers(el){
        $('#sort_customers').submit();
    }
    function confirm_ban(url)
    {
        $('#confirm-ban').modal('show', {backdrop: 'static'});
        document.getElementById('confirmation').setAttribute('href' , url);
    }

    function confirm_unban(url)
    {
        $('#confirm-unban').modal('show', {backdrop: 'static'});
        document.getElementById('confirmationunban').setAttribute('href' , url);
    }
    // delete order
    $(document).on('click', '.click-delete', function() {
        var delete_id = $(this).attr('data-id');
        // alert(delete_id);
        Swal.fire({
            title: "{{__('orders.delete-order')}}",
            text: "{{__('notifications.confirm_popup')}}",
            // icon: 'error',
            confirmButtonText: "{{__('notifications.yes')}}",
            cancelButtonText: "{{__('notifications.no')}}",
            showCancelButton: true,
            showCloseButton: true,

        }).then((result) => {
            if (result.isConfirmed) {
                var data = {
                    "_token": "{{ csrf_token() }}",
                    "id": delete_id,
                };
                $.ajax({
                    method: "DELETE",
                    url: '{{route ("orders.deleteOrder",0)}}' + delete_id,
                    data: data,
                    success: function(response) {
                        /* Read more about isConfirmed, isDenied below */
                        // Swal.fire('저장!', '', 'success').then(() => {
                            location.reload()
                        // });
                    },
                    error: function(err) {
                        // Swal.fire('변경 내용이 저장되지 않음', '', 'info');
                    }
                });
            }
        });
    });
     $('#clickDate').daterangepicker({
        autoUpdateInput: false,
        singleDatePicker: true,
        showDropdowns: true,
        minDate: '1921/01/01',
        locale: {
            format: 'YYYY/MM/DD',
            applyLabel: "대다",
            cancelLabel: "취소",
                "monthNames":[
                    "일월" , // Tháng 1
                    "이월" , // Tháng 2
                    "삼월" , // Tháng 3
                    "사월" , // Tháng 4
                    "오월" , // Tháng 5
                    "유월" , // Tháng 6
                    "칠월" , // Tháng 7
                    "팔월" , // Tháng 8
                    "구월" , // Tháng 9
                    "시월" , // Tháng 10
                    "십일월" , // Tháng 11
                    "십이월" , // Tháng 12
                ],
                daysOfWeek:[
                    "월요일" ,// Thứ 2
                    "화요일" ,// Thứ 3
                    "수요일" ,// Thứ 4
                    "목요일" ,// Thứ 5
                    "금요일" ,// Thứ 6
                    "토요일" ,// Thứ 7
                    "일요일" ,//  Chủ nhật.
                ]
            }
    });
    $('#clickDate').on('apply.daterangepicker', function (ev, picker) {
        $(this).val(picker.startDate.format('YYYY/MM/DD'));
    });



    $('input[name="created_at"]').val('{{ request()->get('created_at') }}');


    </script>
@endsection